# adb-forward-touch

When run on a Linux computer with an Android phone attached, it will
run `getevent` on the phone and pass touchscreen events into the Linux
input event system using uinput, so that it appears as a touchpad
input to other apps on the Linux machine.

## Building

If you are using Nix, `nix-build build.nix`. Otherwise try `make`


## Caveats

* WIP!

* the touchscreen `/dev` entry is hardcoded in, needs to be a
command-line parameter (or detected)

* the touchscreen configuration (dimensions, axes, najme, USB ids etc)
are hardcoded likewise.

* if your phone is locked/screen off then it will appear to work but you may get
  garbage X values. This is due ot the way some ANdroid phones implement [wake gestures](https://github.com/boulzordev/android_kernel_motorola_msm8953/commit/ee12d4d8d5ad0e345582ab276b706b414409a6aa#diff-c55cacf3f59470057b2f39a86348c67601229a6e09edd07618db1680e97520c3R4733)

